#include <stdio.h>
#include <stdlib.h>

void print (const char *format, int n) {
	printf("%-6s: n = '", format);
	printf(format, n);
	printf("'\n");
}

int main (void) {
	int n = -256;

	print("%d", n);
	print("%6d", n);
	print("%-6d", n); // left adjust
	print("%06d", n);
	print("%.6d", n); // 6 digits
	print("%10.6d", n); // 6 digits
	printf("\n");

	n = 256;
	print("%+d", n); // insert + if positive
	print("% d", n); // insert ' ' if positive

	return EXIT_SUCCESS;
}

